Message d'avertissement

The subscription service is currently unavailable. Please try again later.

[Résolu] Les sujets sans réponses dans le Forum

Information importante

En raison d'un grand nombre d'inscriptions de spammers sur notre site, polluant sans relache notre forum, nous suspendons la création de compte via le formulaire de "sign up".

Il est néanmoins toujours possible de devenir adhérent•e en faisant la demande sur cette page, rubrique "Inscription" : https://www.drupal.fr/contact


De plus, le forum est désormais "interdit en écriture". Il n'est plus autorisé d'y écrire un sujet/billet/commentaire.

Pour contacter la communauté, merci de rejoindre le slack "drupalfrance".

Si vous voulez contacter le bureau de l'association, utilisez le formulaire disponible ici, ou envoyez-nous un DM sur twitter.

Bonjour à tous.

J'utilise Advanced Forum et je voudrais déplacer les sujets 'sans réponse pendant une durée de 45 jours' dans un autre forum nommé 'Archives' ou supprimer si je ne pourrais pas déplacer.

Je n'ai pas vu cette option dans le paramétrage du module.

Est ce que vous pouvez me guider?

Merci...

Version de Drupal : 

Voilà déjà une piste :

Théoriquement, il faudrait que tu modifies la vue advanced_forum_topic_list en ajoutant deux filtres, groupés dans un AND:

Filter criteria
Content: Published (Yes)
AND
Content: Post date (> -45 days) AND
Content: Comment count (!= 0)

... à tester.

Ensuite tu peux soit créer un nouveau vue en dupliquant l'actuelle ou en utilisant la vue /forum/unanswered qui existe déjà qui liste tous les sujets sans réponses.

EDIT: Ok, j'ai testé, les fitres doivent être mis comme ça :

Filter criteria

Content: Published (Yes) AND
Content: Comment count (> 0)
OR
Content: Comment count (= 0) AND
Content: Post date (> -45 days)

Cela marche parfaitement, je ne sais pas comment te remercier. Non, non je sais comment te remercier; voici ton cadeau :

je veux installer exactement le même système de notifications que drupalfr.org. ( et avoir l'onglet 'notifications' pour activer ou désactiver mes notifications dans "mon compte" ) Ca veut dire que dès qu'il y a une réponse à mon sujet de forum je voudrais avertir par mail. J'ai voulu installer le module "notifications" (7.x-1.0-alpha2+2-dev) mais j'ai un message d'erreur :

"Ce module requière la version 5.3.* de PHP et est incompatible avec la version 5.2.6-1+lenny16."

Je suis sous Drupal 7 et c'est la première fois que cela m'arrive.

Entant qu'expert drupal, pourrais-tu me guider stp?

Merci beaucoup pour ton aide

Si tu es sur un serveur dédié, essaie de mettre à jour vers php 5.3. Si c'est un serveur mutualisé, heu... y'a peut-être une option dans ton interface pour utiliser php 5.3.

Dans le fichier notification.info dans le module il y a une ligne

php = 5.3

Du coup, il implémente certaines fonctions php disponibles qu'avec PHP5.3. Tu peux toujours essayer de supprimer cette ligne... mais le module ne va clairement pas bien fonctionner.

Sinon il faut aller voir vers d'autres modules, comme Rules...